Package com.independentsoft.office.drawing

# Class TextField

java.lang.Object
com.independentsoft.office.drawing.TextField

All Implemented Interfaces:
  `ITextParagraphContent`

public class TextField extends Object implements ITextParagraphContent
The Class TextField.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextField()`
  Instantiates a new text field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextField`
  `clone()`
  `String`
  `getID()`
  Gets the id.
  `String`
  `getText()`
  Gets the text.
  `TextParagraphProperties`
  `getTextParagraphProperties()`
  Gets the text paragraph properties.
  `TextRunProperties`
  `getTextRunProperties()`
  Gets the text run properties.
  `String`
  `getType()`
  Gets the type.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setText​(String text)`
  Sets the text.
  `void`
  `setType​(String type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextField

    public TextField()
    Instantiates a new text field.

- ## Method Details

  - ### clone

    public TextField clone()
    Specified by:
      `clone` in interface `ITextParagraphContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getText

    public String getText()
    Gets the text.
    Returns:
      the text

  - ### setText

    public void setText​(String text)
    Sets the text.
    Parameters:
      `text` - the new text

  - ### getTextRunProperties

    public TextRunProperties getTextRunProperties()
    Gets the text run properties.
    Returns:
      the text run properties

  - ### getTextParagraphProperties

    public TextParagraphProperties getTextParagraphProperties()
    Gets the text paragraph properties.
    Returns:
      the text paragraph properties

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getType

    public String getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(String type)
    Sets the type.
    Parameters:
      `type` - the new type